<template>
	<main>
		<div class="container">
			<!-- Form -->
			<div class="mb-24">
				<h2 class="page-title font-fira">Form</h2>
				<form action="">
					<div class="bzg mb-12">
						<div class="bzg_c form-label" data-col="s12,m4,l4">Text Input</div>
						<div class="bzg_c" data-col="s12,m8,l8">
							<input
								class="form-input"
								type="text"
								name="text"
								placeholder="Text"
							/>
						</div>
					</div>
					<div class="bzg mb-12">
						<div class="bzg_c form-label" data-col="s12,m4,l4">
							Full Width Input
						</div>
						<div class="bzg_c" data-col="s12,m8,l8">
							<input
								class="form-input form-input--block"
								type="text"
								name="fullwidth"
								placeholder="Full Width Input"
							/>
						</div>
					</div>
					<div class="bzg mb-12">
						<div class="bzg_c form-label" data-col="s12,m4,l4">
							Password Input
						</div>
						<div class="bzg_c" data-col="s12,m8,l8">
							<input
								class="form-input"
								type="password"
								name="password"
								placeholder="Password"
							/>
						</div>
					</div>
					<div class="bzg mb-12">
						<div class="bzg_c form-label" data-col="s12,m4,l4">
							Email Address
						</div>
						<div class="bzg_c" data-col="s12,m8,l8">
							<input
								class="form-input"
								type="email"
								name="email"
								placeholder="Email"
							/>
						</div>
					</div>
					<div class="bzg mb-12">
						<div class="bzg_c form-label" data-col="s12,m4,l4">
							Number Input
						</div>
						<div class="bzg_c" data-col="s12,m8,l8">
							<input
								class="form-input"
								type="number"
								name="number"
								placeholder="Number"
							/>
						</div>
					</div>
					<div class="bzg mb-12">
						<div class="bzg_c form-label" data-col="s12,m4,l4">
							Single File Input (Full Width)
						</div>
						<div class="bzg_c flex" data-col="s12,m8,l8">
							<input
								class="form-input js-file-input form-input--block"
								id="singleFile"
								type="file"
								name="file"
							/>
							<label class="flex form-file-label" for="singleFile">
								<div class="js-file-name form-file-input"></div>
								<div class="btn--primary ml-4">Browse</div>
							</label>
						</div>
					</div>
					<div class="bzg mb-12">
						<div class="bzg_c form-label" data-col="s12,m4,l4">
							Multiple File Input
						</div>
						<div class="bzg_c flex" data-col="s12,m8,l8">
							<input
								class="form-input js-file-input"
								id="multipleFile"
								type="file"
								name="file"
								multiple
							/>
							<label class="flex form-file-label" for="multipleFile">
								<div class="js-file-name form-file-input"></div>
								<div class="btn--primary ml-4">Browse</div>
							</label>
						</div>
					</div>
					<div class="bzg mb-12">
						<div class="bzg_c form-label" data-col="s12,m4,l4">
							Textarea Input
						</div>
						<div class="bzg_c" data-col="s12,m8,l8">
							<textarea
								class="form-input"
								name="textarea"
								placeholder="Text Area"
							></textarea>
						</div>
					</div>
					<div class="bzg mb-12">
						<div class="bzg_c form-label" data-col="s12,m4,l4">
							Disabled Input
						</div>
						<div class="bzg_c" data-col="s12,m8,l8">
							<input
								class="form-input"
								type="text"
								name="disabled"
								placeholder="Disabled"
								disabled
							/>
						</div>
					</div>
					<div class="bzg mb-12">
						<div class="bzg_c form-label" data-col="s12,m4,l4">
							Read-only Input
						</div>
						<div class="bzg_c" data-col="s12,m8,l8">
							<input
								class="form-input"
								type="text"
								name="readonly"
								placeholder="Read-only"
								readonly
							/>
						</div>
					</div>
					<div class="bzg mb-12">
						<div class="bzg_c form-label" data-col="s12,m4,l4">
							Dropdown Select
						</div>
						<div class="bzg_c" data-col="s12,m8,l8">
							<select class="form-input" name="dropdown">
								<option value="1">Option 1</option>
								<option value="2">Option 2</option>
								<option value="3">Option 3</option>
							</select>
						</div>
					</div>
					<div class="bzg mb-12">
						<div class="bzg_c form-label" data-col="s12,m4,l4">
							Radio Buttons
						</div>
						<div class="bzg_c" data-col="s12,m8,l8">
							<div class="form-check-group">
								<label class="form-check__item" for="rbOption1"
									><input id="rbOption1" type="radio" name="radio" /> Option
									1</label
								>
								<label class="form-check__item" for="rbOption2"
									><input id="rbOption2" type="radio" name="radio" /> Option
									2</label
								>
								<label class="form-check__item" for="rbOption3"
									><input id="rbOption3" type="radio" name="radio" /> Option
									3</label
								>
							</div>
						</div>
					</div>
					<div class="bzg mb-12">
						<div class="bzg_c form-label" data-col="s12,m4,l4">Checkbox</div>
						<div class="bzg_c" data-col="s12,m8,l8">
							<div class="form-check-group">
								<label class="form-check__item" for="cbOption1"
									><input
										id="cbOption1"
										type="checkbox"
										name="checkbox"
										checked
									/>
									Option 1</label
								>
								<label class="form-check__item" for="cbOption2"
									><input id="cbOption2" type="checkbox" name="checkbox" />
									Option 2</label
								>
								<label class="form-check__item" for="cbOption3"
									><input
										id="cbOption3"
										type="checkbox"
										name="checkbox"
										checked
									/>
									Option 3</label
								>
							</div>
						</div>
					</div>
					<div class="bzg mb-12">
						<div class="bzg_c" data-col="s12,m8,l8" data-offset="m4,l4">
							<button class="btn btn--primary" type="submit">Submit</button>
							<button class="btn btn--ghost-secondary" type="reset">
								Cancel
							</button>
						</div>
					</div>
				</form>

				<div class="text-size14">
					<pre><code class="code-container html">&lt;form action=&quot;&quot;&gt;
    &lt;div class=&quot;bzg mb-12&quot;&gt;
        &lt;div class=&quot;bzg_c form-label&quot; data-col=&quot;s12,m4,l4&quot;&gt;Text Input&lt;/div&gt;
        &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m8,l8&quot;&gt;&lt;input class=&quot;form-input&quot; type=&quot;text&quot; name=&quot;text&quot; placeholder=&quot;Text&quot;&gt;&lt;/div&gt;
    &lt;/div&gt;
    &lt;div class=&quot;bzg mb-12&quot;&gt;
        &lt;div class=&quot;bzg_c form-label&quot; data-col=&quot;s12,m4,l4&quot;&gt;Full Width Input&lt;/div&gt;
        &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m8,l8&quot;&gt;&lt;input class=&quot;form-input form-input--block&quot; type=&quot;text&quot; name=&quot;fullwidth&quot; placeholder=&quot;Full Width Input&quot;&gt;&lt;/div&gt;
    &lt;/div&gt;
    &lt;div class=&quot;bzg mb-12&quot;&gt;
        &lt;div class=&quot;bzg_c form-label&quot; data-col=&quot;s12,m4,l4&quot;&gt;Password Input&lt;/div&gt;
        &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m8,l8&quot;&gt;&lt;input class=&quot;form-input&quot; type=&quot;password&quot; name=&quot;password&quot; placeholder=&quot;Password&quot;&gt;&lt;/div&gt;
    &lt;/div&gt;
    &lt;div class=&quot;bzg mb-12&quot;&gt;
        &lt;div class=&quot;bzg_c form-label&quot; data-col=&quot;s12,m4,l4&quot;&gt;Email Address&lt;/div&gt;
        &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m8,l8&quot;&gt;&lt;input class=&quot;form-input&quot; type=&quot;email&quot; name=&quot;email&quot; placeholder=&quot;Email&quot;&gt;&lt;/div&gt;
    &lt;/div&gt;
    &lt;div class=&quot;bzg mb-12&quot;&gt;
        &lt;div class=&quot;bzg_c form-label&quot; data-col=&quot;s12,m4,l4&quot;&gt;Number Input&lt;/div&gt;
        &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m8,l8&quot;&gt;&lt;input class=&quot;form-input&quot; type=&quot;number&quot; name=&quot;number&quot; placeholder=&quot;Number&quot;&gt;&lt;/div&gt;
    &lt;/div&gt;
    &lt;div class=&quot;bzg mb-12&quot;&gt;
        &lt;div class=&quot;bzg_c form-label&quot; data-col=&quot;s12,m4,l4&quot;&gt;Single File Input (Full Width)&lt;/div&gt;
        &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m8,l8&quot;&gt;
            &lt;input class=&quot;form-input js-file-input&quot; id=&quot;singleFile&quot; type=&quot;file&quot; name=&quot;file&quot;&gt;
            &lt;label class=&quot;flex form-file-label&quot; for=&quot;singleFile&quot;&gt;
                &lt;div class=&quot;js-file-name form-file-input form-input--block&quot;&gt; &lt;/div&gt;
                &lt;div class=&quot;btn--primary ml-4&quot;&gt;Browse&lt;/div&gt;
            &lt;/label&gt;
        &lt;/div&gt;
    &lt;/div&gt;
    &lt;div class=&quot;bzg mb-12&quot;&gt;
        &lt;div class=&quot;bzg_c form-label&quot; data-col=&quot;s12,m4,l4&quot;&gt;Multiple File Input&lt;/div&gt;
        &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m8,l8&quot;&gt;
            &lt;input class=&quot;form-input js-file-input&quot; id=&quot;multipleFile&quot; type=&quot;file&quot; name=&quot;file&quot; multiple&gt;
            &lt;label class=&quot;flex form-file-label&quot; for=&quot;multipleFile&quot;&gt;
                    &lt;div class=&quot;js-file-name form-file-input&quot;&gt; &lt;/div&gt;
                    &lt;div class=&quot;btn--primary ml-4&quot;&gt;Browse&lt;/div&gt;
            &lt;/label&gt;
        &lt;/div&gt;
    &lt;/div&gt;
    &lt;div class=&quot;bzg mb-12&quot;&gt;
        &lt;div class=&quot;bzg_c form-label&quot; data-col=&quot;s12,m4,l4&quot;&gt;Textarea Input&lt;/div&gt;
        &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m8,l8&quot;&gt;&lt;textarea class=&quot;form-input&quot; name=&quot;textarea&quot; placeholder=&quot;Text Area&quot;&gt;&lt;/textarea&gt;&lt;/div&gt;
    &lt;/div&gt;
    &lt;div class=&quot;bzg mb-12&quot;&gt;
        &lt;div class=&quot;bzg_c form-label&quot; data-col=&quot;s12,m4,l4&quot;&gt;Disabled Input&lt;/div&gt;
        &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m8,l8&quot;&gt;&lt;input class=&quot;form-input&quot; type=&quot;text&quot; name=&quot;disabled&quot; placeholder=&quot;Disabled&quot; disabled&gt;&lt;/div&gt;
    &lt;/div&gt;
    &lt;div class=&quot;bzg mb-12&quot;&gt;
        &lt;div class=&quot;bzg_c form-label&quot; data-col=&quot;s12,m4,l4&quot;&gt;Read-only Input&lt;/div&gt;
        &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m8,l8&quot;&gt;&lt;input class=&quot;form-input&quot; type=&quot;text&quot; name=&quot;readonly&quot; placeholder=&quot;Read-only&quot; readonly&gt;&lt;/div&gt;
    &lt;/div&gt;
    &lt;div class=&quot;bzg mb-12&quot;&gt;
        &lt;div class=&quot;bzg_c form-label&quot; data-col=&quot;s12,m4,l4&quot;&gt;Dropdown Select&lt;/div&gt;
        &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m8,l8&quot;&gt;
            &lt;select class=&quot;form-input&quot; name=&quot;dropdown&quot;&gt;
                &lt;option value=&quot;1&quot;&gt;Option 1&lt;/option&gt;
                &lt;option value=&quot;2&quot;&gt;Option 2&lt;/option&gt;
                &lt;option value=&quot;3&quot;&gt;Option 3&lt;/option&gt;
            &lt;/select&gt;
        &lt;/div&gt;
    &lt;/div&gt;
    &lt;div class=&quot;bzg mb-12&quot;&gt;
        &lt;div class=&quot;bzg_c form-label&quot; data-col=&quot;s12,m4,l4&quot;&gt;Radio Buttons&lt;/div&gt;
        &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m8,l8&quot;&gt;
            &lt;div class=&quot;form-check-group&quot;&gt;
                &lt;label class=&quot;form-check__item&quot; for=&quot;rbOption1&quot;&gt;&lt;input id=&quot;rbOption1&quot; type=&quot;radio&quot; name=&quot;radio&quot;&gt; Option 1&lt;/label&gt;
                &lt;label class=&quot;form-check__item&quot; for=&quot;rbOption2&quot;&gt;&lt;input id=&quot;rbOption2&quot; type=&quot;radio&quot; name=&quot;radio&quot;&gt; Option 2&lt;/label&gt;
                &lt;label class=&quot;form-check__item&quot; for=&quot;rbOption3&quot;&gt;&lt;input id=&quot;rbOption3&quot; type=&quot;radio&quot; name=&quot;radio&quot;&gt; Option 3&lt;/label&gt;
            &lt;/div&gt;
        &lt;/div&gt;
    &lt;/div&gt;
    &lt;div class=&quot;bzg mb-12&quot;&gt;
        &lt;div class=&quot;bzg_c form-label&quot; data-col=&quot;s12,m4,l4&quot;&gt;Checkbox&lt;/div&gt;
        &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m8,l8&quot;&gt;
            &lt;div class=&quot;form-check-group&quot;&gt;
                &lt;label class=&quot;form-check__item&quot; for=&quot;cbOption1&quot;&gt;&lt;input id=&quot;cbOption1&quot; type=&quot;checkbox&quot; name=&quot;checkbox&quot; checked&gt; Option 1&lt;/label&gt;
                &lt;label class=&quot;form-check__item&quot; for=&quot;cbOption2&quot;&gt;&lt;input id=&quot;cbOption2&quot; type=&quot;checkbox&quot; name=&quot;checkbox&quot;&gt; Option 2&lt;/label&gt;
                &lt;label class=&quot;form-check__item&quot; for=&quot;cbOption3&quot;&gt;&lt;input id=&quot;cbOption3&quot; type=&quot;checkbox&quot; name=&quot;checkbox&quot; checked&gt; Option 3&lt;/label&gt;
            &lt;/div&gt;
        &lt;/div&gt;
    &lt;/div&gt;
    &lt;div class=&quot;bzg mb-12&quot;&gt;
        &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m8,l8&quot; data-offset=&quot;m4,l4&quot;&gt;
            &lt;button class=&quot;btn btn--primary&quot; type=&quot;submit&quot;&gt;Submit&lt;/button&gt;
            &lt;button class=&quot;btn btn--ghost-secondary&quot; type=&quot;reset&quot;&gt;Cancel&lt;/button&gt;
        &lt;/div&gt;
    &lt;/div&gt;
&lt;/form&gt;</code></pre>
				</div>
			</div>
			<hr />
		</div>
	</main>
</template>

<script>
export default {
	name: 'FormPage'
}
</script>

<style lang="scss" scoped></style>
